Retrieve all company account checks

Retrieves a list of company account checks associated with the authenticated customer.

This endpoint allows you to:

  • Filter company account checks by state, IDs, and last update date
  • Paginate results using cursor-based pagination

Required permissions:

  • company_account_checks_read
Query Params
integer
1 to 100

Maximum number of company account checks to return in the response.

Constraints:

  • Minimum: 1
  • Maximum: 100

If not specified, the default pagination limit will be applied.

uuid

Pagination cursor - returns company account checks created after the company account check with this ID.

  • Results are ordered by creation date
  • Cannot be used together with ending_before
  • Must be a valid UUID
uuid

Pagination cursor - returns company account checks created before the company account check with this ID.

  • Results are ordered by creation date
  • Cannot be used together with starting_after
  • Must be a valid UUID
date

Filters company account checks to include only those updated on or after the specified date.

  • Format: YYYY-MM-DD
  • Time component is set to the start of the day (00:00:00)
string

Comma-separated list of company account check IDs to filter the results.

  • Each ID must be a valid UUID
string

Comma-separated list of states to filter the company account checks.

  • Valid states: pending favorable unfavorable anomaly unevaluated
string

Comma-separated list of tags to filter company account checks.

  • Only company account checks with at least one of the specified tags will be returned
  • Invalid or non-existent tags are silently ignored
Headers
string
enum

Specifies the preferred language for the response. Supported languages:

  • en - English
  • fr - French

If not provided, the default language will be used.

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json